import { IconBrokenInformation, IconBrokenDanger, IconBrokenTickCircle, IconWarning2, IconBrokenSetting2 } from "@greenatom/icons";
export var labelIcon = {
    info: IconBrokenInformation,
    error: IconBrokenDanger,
    success: IconBrokenTickCircle,
    warning: IconWarning2,
    focused: IconBrokenSetting2,
    filled: IconBrokenSetting2
};
export var getComputedLabelColor = function (status, theme, isDisabled) {
    if (isDisabled) {
        return theme.components.label.colorDisabled;
    }
    else {
        switch (status) {
            case "info":
                return theme.components.label.colorInfo;
            case "focused":
                return theme.components.label.colorFocused;
            case "error":
                return theme.components.label.colorError;
            case "success":
                return theme.components.label.colorSuccess;
            case "warning":
                return theme.components.label.colorWarning;
            default:
                return theme.components.label.colorFilled;
        }
    }
};
